<?php 
	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCP__DEBITSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');  
	
	session_name('debit');
	session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>Debit API Demo</title>
	<link href="screen.css" rel="stylesheet">
	<script src="./lib/js/prototype-1.6.0.3.js" type="text/javascript"></script> 
</head>

<body>

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><a href="debit_demo.php"><img src="./img/logo.lastschrift.gif" border="0"></a></td>
				<td align="left">Debit API - Demo - Shop</td>
			</tr>
		</table>
	</div>
	
		<div align="center">
	
		<table class="naviMain" width="608">
			<tr>    
				<td class="naviMainNotSelected" width="120">
				&nbsp;<?php 
					if (isset($_SESSION['customerId'])) {
						print "<img src=\"./img/icon.arrow.4x5.gif\" align=\"absmiddle\"> <a href=\"debit_demo.php?action=address\">Personen-Daten</a>";	
					}
					else {
						print "<img src=\"./img/icon.arrow.4x5.gif\" align=\"absmiddle\"> <a href=\"debit_demo.php?action=login\">Registrierung/Login</a>";
					}
				
				?>
				
				</td>
				<td class="naviMainNotSelected" width="120"><img src="./img/icon.arrow.4x5.gif" align="absmiddle"> 
				<?php 
					if (isset($_SESSION['customerId'])) {
						print "<a href=\"debit_demo.php?action=shoppingTmp\">Warenkorb</a> ".countProductsTmp()."</td>";
					}
					else {
						print "<a href=\"debit_demo.php?action=productsbag\">Warenkorb</a> ".countProductsTmp()."</td>";
					}
				
				?>
				
				<td class="naviMainNotSelected" width="120">
				<?php 
					if (isset($_SESSION['customerId'])) {
						print "<img src=\"./img/icon.arrow.4x5.gif\" align=\"absmiddle\"> <a href=\"debit_demo.php?action=shoppingFin\">Eink&auml;ufe</a> ". countProducts();	
					}
				
				?>
				</td>																		
								 
							
				<td class="naviMainNotSelected" ></td>
								
				<td class="naviLower">
				<?php 
					if (isset($_SESSION['customerId'])) {
						print "Eingeloggt als: ".$_SESSION['customerId']."&nbsp;&nbsp";	
					}
				
				?>
				
				</td>
			</tr>
		</table>
		<table class="naviSubTable" width="608">
			<tr>
				<td class="naviSub" width="80" ></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" ></td>
				<td class="naviFooter" width="80">			<?php 
					if (isset($_SESSION['customerId'])) {
						print "<a href=\"debit_demo.php?action=logout\">Logout</a>";	
					}
				
				?></td>
			</tr>
		</table>
		
		
		<table>
			<tr>
				<td class="border">
					<div >

					</div>
					<b>Willkommen im micropayment&trade; Demoshop.</b><br />Bitte w&auml;hlen Sie sich Produkte aus unserem Demoshop aus und f&uuml;gen diese dem Warenkorb hinzu:<br><br>		
					<div id="shop" align="right">
						<form method="POST" action="debit_demo.php">
							<input type="hidden" name="action" id="action" value="login">
							<input type="hidden" name="customerId" id="customerId" value="">
								
								<div class="products" id="products">
									<table width="500">
										<tr>
											<td><input type="checkbox" name="products[]" value="P0001" /><img border="0" src="./img/P0001.jpg" height=50></td>
											<td><input type="checkbox" name="products[]" value="P0002" /><img border="0" src="./img/P0002.jpg"  height=50></td>
										</tr>
										<tr>
											<td class="td_products"><b>Produktbezeichnung 01</b></td>
											<td class="td_products"><b>Produktbezeichnung 02</b></td>
										</tr>
										<tr>
											<td class="td_products"><em>2,50 EUR</em></td>
											<td class="td_products"><em>3,00 EUR</em></td>
										</tr>
										<tr>
											<td>&nbsp;</td>
											<td>&nbsp;</td>
										</tr>		
										<tr>
											<td><input type="checkbox" name="products[]" value="P0003" /><img border="0" src="./img/P0003.jpg" height=50></td>
											<td><input type="checkbox" name="products[]" value="P0004" /><img border="0" src="./img/P0004.jpg"  height=50></td>
										</tr>
										<tr>
											<td class="td_products"><b>Produktbezeichnung 03</b></td>
											<td class="td_products"><b>Produktbezeichnung 04</b></td>
										</tr>
										<tr>
											<td class="td_products"><em>3,50 EUR</em></td>
											<td class="td_products"><em>5,00 EUR</em></td>
										</tr>
										<tr>
											<td>&nbsp;</td>
											<td>&nbsp;</td>
										</tr>																			
										<tr>
											<td ></td>	
											<td ></td>
										</tr>
									</table>
								</div>
								
						<input style="align:left;" class="button" type="submit" id="submit" name="submit" value="Artikel jetzt kaufen" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							
						</div>
						
					</td>
				</tr>
			</table>
		</div>
		
		<div id="footer" class="footer">
			<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment GmbH</a><br />
			powered 2009 by micropayment.de
		</div>
</body>
</html>